# ubixFSInfo Struct Reference

`#include <ubixfs.h>`

Collaboration diagram for ubixFSInfo:

[legend]

## Data Fields

uInt32 | batEntries
blockAllocationTableEntry * | blockAllocationTable
cacheNode * | dirCache
uInt32 | rootDir

## Detailed Description

Definition at line 130 of file ubixfs.h.

## Field Documentation

uInt32 ubixFSInfo::batEntries

Definition at line 133 of file ubixfs.h.

Referenced by getFreeBlocks(), and ubixfs_initialize().

struct blockAllocationTableEntry* ubixFSInfo::blockAllocationTable

Definition at line 131 of file ubixfs.h.

Referenced by freeBlocks(), getFreeBlocks(), syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), writeFileByte(), and writeUbixFS().

struct cacheNode* ubixFSInfo::dirCache

Definition at line 132 of file ubixfs.h.

Referenced by openFileUbixFS(), and ubixfs_initialize().

uInt32 ubixFSInfo::rootDir

Definition at line 134 of file ubixfs.h.

Referenced by ubixfs_initialize(), and ubixFSUnlink().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixfs/ubixfs.h